Mentimeter is entirely browser-based, meaning that your audience can use any internet-connected device to interact and vote during your presentations. The most common case is to use a smartphone, and here are the general requirements:

  • Android: version 9.0 or later

  • iPhone: iOS 12.0 or later

  • ChromeOS 71 or later

Please note that cookies need to be enabled on the voting device. This is managed through the browser settings.

Related articles: Requirements for running Mentimeter

Did this answer your question?